package kripos.geo;

import java.util.ArrayList;

/**
 * @author oysteine
 * @version 1.0
 */
public class PingList {
  private ArrayList<Landmark> landmarkList;

  /**
   * 
   */
  public PingList() {
    landmarkList = new ArrayList<Landmark>();
  }

  /**
   * @return the landmarkList
   */
  public ArrayList<Landmark> getLandmarkList() {
    return landmarkList;
  }

  /**
   * Add a Landmark to the list
   * 
   * @param l the Landmark to add
   */
  public void addItem(Landmark l){
    landmarkList.add(l);
  }

  /**
   * Empties the list of Landmarks 
   *
   */
  public void clear(){
    landmarkList.clear();
  }

  /**
   * Sets the list of Landmarks to the supplied list
   * 
   * @param listToSet
   */
  public void setContent(ArrayList<Landmark> listToSet){
    landmarkList = listToSet;
  }

}//class
